Subject: Re: [PATCH 1/2] dt-bindings: nfc: use spi-peripheral-props.yaml

From: Rob Herring <[email-masked]>
Date: Thu, 28 Jul 2022 09:18:02 -0600

On Wed, 27 Jul 2022 18:41:29 +0200, Krzysztof Kozlowski wrote:
> Instead of listing directly properties typical for SPI peripherals,
> reference the spi-peripheral-props.yaml schema.  This allows using all
> properties typical for SPI-connected devices, even these which device
> bindings author did not tried yet.
> 
> Remove the spi-* properties which now come via spi-peripheral-props.yaml
> schema, except for the cases when device schema adds some constraints
> like maximum frequency.
> 
> While changing additionalProperties->unevaluatedProperties, put it in
> typical place, just before example DTS.
> 
> Signed-off-by: Krzysztof Kozlowski <[email-masked]>
> 
> ---
> 
> Technically, this depends on [1] merged to SPI tree, if we want to
> preserve existing behavior of not allowing SPI CPHA and CPOL in each of
> schemas in this patch.
> 
> If this patch comes independently via different tree, the SPI CPHA and
> CPOL will be allowed for brief period of time, before [1] is merged.
> This will not have negative impact, just DT schema checks will be
> loosened for that period.

I don't think these need to go via the same tree.

> 
> [1] https://lore.kernel.org/all/[email-masked]/
> ---
>  Documentation/devicetree/bindings/net/nfc/marvell,nci.yaml | 4 ++--
>  Documentation/devicetree/bindings/net/nfc/st,st-nci.yaml   | 5 ++---
>  Documentation/devicetree/bindings/net/nfc/st,st95hf.yaml   | 7 ++++---
>  Documentation/devicetree/bindings/net/nfc/ti,trf7970a.yaml | 7 ++++---
>  4 files changed, 12 insertions(+), 11 deletions(-)
> 

Acked-by: Rob Herring <[email-masked]>